#pragma once

#include "CoreMinimal.h"
#include "StoreSpecialPackCatalogItemRewardGameSpecificData.generated.h"

USTRUCT(BlueprintType)
struct FStoreSpecialPackCatalogItemRewardGameSpecificData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FString Type;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IncludeInOwnership;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IncludeInPricing;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool HasPriorityForPackImageComposition;

	UPROPERTY(BlueprintReadWrite, Transient, SkipSerialization)
	bool HasPriorityForPackImageComposition_IsSet;

public:
	DEADBYDAYLIGHT_API FStoreSpecialPackCatalogItemRewardGameSpecificData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreSpecialPackCatalogItemRewardGameSpecificData) { return 0; }
